Package org.apache.sling.cms.publication

## Interface PublicationManagerFactory

    public interface PublicationManagerFactory

Factory for retrieving the Publication Manager for the instance configuration.

### Method Summary

All Methods Instance Methods Abstract Methods
`INSTANCE_TYPE` `getInstanceType()` Get the type of this particular instance
`PublicationManager` `getPublicationManager()` Retrieves the publication manager applicable for this instance based on the current publication mode.
`PUBLICATION_MODE` `getPublicationMode()` Returns the publication mode for this instance.

### Method Detail

#### getInstanceType

    INSTANCE_TYPE getInstanceType()

Get the type of this particular instance

Returns:
  the instance type

#### getPublicationMode

    PUBLICATION_MODE getPublicationMode()

Returns the publication mode for this instance.

Returns:
  the publication mode fro the instance

#### getPublicationManager

    PublicationManager getPublicationManager()

Retrieves the publication manager applicable for this instance based on the current publication mode.

Returns:
  the publication manager